Subject: Re: snapshot 20050114 race
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Fri, 14 Jan 2005 11:42:53 -0800

On Fri, Jan 14, 2005 at 07:26:58PM +0100, Corinna Vinschen wrote:
> On Jan 14 11:04, Eric Blake wrote:
> > Something between the stock 1.5.12-1 and the 20050114 snapshot introduced
> > a data race on removing a directory shortly after being in it.  I couldn't
> > narrow it down to a repeatable testcase, but notice the difference between
> > these two runs of a subset of the coreutils-5.3.0 testsuite:
> > [...]
> > Adding a delay between the cd and rm of the trap makes the rm work all the
> > time, and reverting to the 1.5.12 release no longer has the problem.  I
> > wonder if the new code in chown() is causing this race.
> 
> What about the 2005-01-11 snapshot?

FWIW, I see in my perl test logs one instance of this on the 20050103
snapshot.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/